<?php
namespace Teknisa\CNC\Factories;

use Doctrine\ORM\EntityManager;
use Teknisa\CNC\Query;

class AdquirenteFactory {
    protected $connection;
    protected $queries;

    public function __construct(EntityManager $entityManager, Query\Query $queries) {
        $this->connection = $entityManager->getConnection();
        $this->queries = $queries;
    }

    public function getAcquirers($row){
        $sql = $this->queries::GET_ACQUIRES;
            
        $std = $this->connection->prepare($sql);
        $std->execute($row);

        return $std->fetchAll();
    }

}
